osapi.jive.corev3.communications.DirectMessage

A direct message from one person to a defined set of participants, which are enumerated in the participants field. Corresponds to creating a "Message" from the Create menu in Jive. See the service.

Example:
Example JSON

JSON with the most important data for a Direct Message. See the table below for a list of all fields.

{
  "type" : "dm",
  "status" : "published",
  "subject" : "Message for you",
  "parent" : "https://example.jiveon.com/api/core/v3/people/2001",
  "content" : {
    "type" : "text/html",
    "text" : "Let's meet at 4"
  },
  "author" : {
    "name" : {
      "givenName" : "Vicky",
      "familyName" : "Employee",
      "formatted" : "Vicky Employee"
    }
  },
  "participants" : [ {
    "name" : {
      "formatted" : "Bob Goodwin"
    },
    "type" : "person",
    "displayName" : "Bob Goodwin"
  } ]
}

Properties

PropertyTypeMode †Description
authorPersonread-only↑

Author of this content object.

contentContentBodyrequired↑

Content of this content object.

followerCountIntegerread-only↑

Number of people following this object.

Availability:

Will be present only for object types that support being followed.

highlightBodyStringread-only↑

Highlight snippet of a search match in the body or description.

Availability:

Will be present in search results only.

highlightSubjectStringread-only↑

Highlight snippet of a search match in the subject or name.

Availability:

Will be present in search results only.

highlightTagsStringread-only↑

Highlight snippet of a search match in tags.

Availability:

Will be present in search results only.

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive and should not be confused with contentID or placeID used in URIs.

likeCountIntegerread-only↑

Number of people who have liked this object.

Availability:

Will be present only for object types that support being liked.

parentStringrequired↑

URI of the parent place (or person, for personal content) of this content object.

parentContentSummaryread-only↑

Summary information about the content object that is the parent of this object.

Availability:

Will be present in search results only.

parentPlaceSummaryread-only↑

Summary information about the place that contains this object.

Availability:

Will be present in search results only.

participantsPerson[]read-only↑

The people to whom this direct message was sent.

publishedISO 8601 Dateread-only↑

Date and time when this content object was originally created.

replyCountIntegerread-only↑

Number of replies to this object.

Availability:

Will be present only for object types that support replies.

resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

statusStringread-only↑

Published status of this content object.

  • incomplete - Content object is in draft mode
  • pending_approval - Content object is waiting for approval
  • rejected - Content object has been rejected for publication by an approver
  • published - Content object has been published
subjectStringread-only↑

Subject of this content object.

tagsString[]optional↑

Tags associated with this object.

Availability:

Will be present only for object types that support tags

typeStringrequired↑

The object type of this object ("dm"). This field is required when creating new content.

updatedISO 8601 Dateread-only↑

Date and time this content object was most recently updated.

viewCountIntegerread-only↑

Number of times this content object has been viewed.

Availability:

Will be present only for objects that support view counts

visibleToExternalContributorsBooleanread-only↑

Flag indicating that this content object is potentially visible to external contributors.

†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
createReply(comment,options)
POST /dms/1234/comments

Retrieves

Comment

Description

Create a new reply to this message, and return a Comment representing the new object.

Takes:
  • Comment fields describing the new reply
Options:
NameTypeRequiredDescription
fieldsStringfalseThe names of the fields to be returned
Retrieves:
  • Comment describing the newly created reply
  • ↑
    destroy()
    DELETE /dms/1234

    Retrieves

    --

    Description

    Delete this direct message and all replies associated with it.

    ↑
    get(options)
    GET /dms/1234

    Retrieves

    DirectMessage

    Description

    Return an updated version of this direct message.

    Options:
    NameTypeRequiredDescription
    fieldsStringfalseThe names of the fields to be returned
    Retrieves:
  • DirectMessage representing the updated direct message
  • ↑
    getContentImages(options)
    GET /dms/1234/images

    Retrieves

    Image[]

    Description

    Return metadata about the images attached to this direct message.

    Options:
    NameTypeRequiredDescription
    fieldsStringfalseThe names of the fields to be returned
    Retrieves:
  • Image[]
  • ↑
    getReplies(options)
    GET /dms/1234/comments

    Retrieves

    Comment[]

    Description

    Return a paginated list of replies to this direct message.

    Options:
    NameTypeRequiredDescription
    countIntegerfalseThe maximum number of replies to return (default is 25)
    anchorStringfalseoptional URI for a comment to anchor at. Specifying a anchor will try to return the page containing the anchor. If the anchor could not be found then the first page of comments will be returned.
    excludeRepliesBooleanfalseFlag indicating that direct replies only are requested (true), or the entire tree of replies are requested (false)
    hierarchicalBooleanfalseFlag indicating that comments should be returned in hierarchical order instead of chronological order
    fieldsStringfalseThe names of the fields to be returned
    startIndexIntegerfalseZero-relative index of the first reply to return (default is 0)
    Retrieves:
  • Comment[]
  • ↑
    markRead()
    POST /contents/1234/read

    Retrieves

    --

    Description

    Mark this direct message as having been read.

    Since: 3.2
    ↑
    markUnread()
    DELETE /contents/1234/read

    Retrieves

    --

    Description

    Mark this direct message as having not been read.

    Since: 3.2
    ↑
    toURI()

    Retrieves

    String

    Description

    Retrieves:
  • A URI representing this entity, or undefined if no such URI exists.
  • Resources

    ResourceMethodReturnsDescription
    htmlGETObject↑

    Return the HTML representation of this direct message.